/**
 * Created by Michael Muesch on 8/24/2014.
 */

exports.generateMethods = function(object){
    for(var key in object){
        if(typeof object[key] != "function"){
            (function(key){
                var uppercaseKey = key.charAt(0).toUpperCase() + key.slice(1);
                object.constructor.prototype["get"+uppercaseKey] = function(){
                    return this[key];
                };
                object.constructor.prototype["set"+uppercaseKey] = function(value){
                    this[key] = value;
                };
            })(key)
        }
    }
};